EC_VEC(3)

NAME
ec_vec - Create a new vector.

SYNOPSIS
#include <ecoli/vec.h>

struct ec_vec * ec_vec(
    size_t             elt_size,
    size_t             size,
    ec_vec_elt_copy_t  copy,
    ec_vec_elt_free_t  free
);

SEE ALSO

ec_vec_add_ptr(3), ec_vec_free(3), ec_vec_add_u8(3), ec_vec_add_u16(3), ec_vec_add_by_ref(3), ec_vec_get(3), ec_vec_ndup(3), ec_vec_dup(3), ec_vec_add_u64(3), ec_vec_add_u32(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.